/*
** Module   : WidgetList.java
** Abstract : Registers the widgets created as part of a frame.
**
** Copyright (c) 2006-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description-----------------------------
** 001 NVS 20060109   @23844 Created initial version.
** 002 SIY 20060317   @25144 Added support for header widgets.
** 003 NVS 20061006   @30204 Added new signature for addWidget which takes original widget name
**                           as well as converted one
** 004 NVS 20061006   @30212 Fixed discrepancy in the order of parameters in the converted code.
** 005 SIY 20071127   @36037 Refreshed to use type safe collections. Minor cleanup in javadoc.
** 006 GES 20140610          Documentation and standards cleanup.
** 007 CA  20140926          Added shared widget configuration support, to allow GUI/ChUI
**                           concrete implementation for the same widget ID.  Refactored the
**                           widget configuration classes: all fields were made public; these
**                           classes need to be as dumb as possible, all logic related to
**                           setting/getting a certain field should be at the widget or at the
**                           caller. Refs #2254
*/ 

package com.goldencode.p2j.ui;


/**
 * This class provides a simple registration means for the widgets inside a frame. 
 */
public abstract class WidgetList
extends WidgetListBase<CommonFrame>
{
}
